package at.compax.tools.sql.model;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@Getter
@Builder
@ToString
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserError {
  @Getter
  @Builder
  @ToString
  @JsonInclude(JsonInclude.Include.NON_NULL)
  public static class MessageLine {
    private Long sequence;
    private Long line;
    private Long position;
    private String text;
    private String attribute;
    private Long messageNumber;
  }

  private String name;
  private String type;
  private List<MessageLine> lines;

}
